import { ExpertPolinov } from '@/views';
import type { Metadata } from 'next';
import { metaInfo } from '@shared/lib';
import { headers } from 'next/headers';
import { TMetainfo } from '@shared/types/metainfo';

const metainfo: TMetainfo = {
  title: 'Эксперт - Полинов Андрей Владимирович',
  description:
    'Услуги оценки имущества и проведение судебных экспертиз Тел.: +7 (900) 241-34-34. Предварительный анализ - бесплатно!',
  companyName: 'Компания ДИТРАСО',
  phone: '+7 (900) 241-34-34',
  ogImageUrl: '/images/opengraph/main.png',
};

export async function generateMetadata(): Promise<Metadata> {
  const h = await headers();
  const referer = h.get('referer') ?? '';
  const host = h.get('host') ?? '';
  const proto = h.get('x-forwarded-proto') ?? '';
  const path = referer ? new URL(referer).pathname : '';

  const metainfoExtended = Object.assign({}, metainfo, {
    host: `${proto}://${host}`,
    path: path,
  });

  return metaInfo(metainfoExtended);
}

export default function Page() {
  return <ExpertPolinov />;
}
